<?php 

    $wp_customize->add_section(
        'appointment_area',
        array(
            'title' => __( 'Appointment Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'appointment_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'appointment_area_disable',
            array(
                'settings'      => 'appointment_area_disable',
                'section'       => 'appointment_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'appointmentus', 'appointment_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'appointmentarea_padding', 'appointment_area', 'Section Padding');

$wp_customize->add_setting(
    'appoinmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_toppadding',
    array(
        'settings'      => 'appoinmentsection_toppadding',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'appoinmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_bottompadding',
    array(
        'settings'      => 'appoinmentsection_bottompadding',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app_conwidth', 'appointment_area', 'Section Width ');

$wp_customize->add_setting('app_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'app_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'appointment_area', // Replace with your actual section ID
    'settings' => 'app_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );

lzCustomLable($wp_customize, 'app_subheadingcase', 'appointment_area', 'Sub Heading Style');

$wp_customize->add_setting('app_subtitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'app_subtitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'appointment_area', // Replace with your actual section ID
    'settings' => 'app_subtitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


lzCustomLable($wp_customize, 'app_headingcase', 'appointment_area', 'Heading Style');

$wp_customize->add_setting('app_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'app_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'appointment_area', // Replace with your actual section ID
    'settings' => 'app_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


lzCustomLable($wp_customize, 'appointmentarea_title', 'appointment_area', 'Section Sub Heading , Heading');

$wp_customize->add_setting(
    'app_titletxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Eco-Friendly Power System', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'app_titletxt',
    array(
        'settings'      => 'app_titletxt',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'appsec_headtxtclr', 'appointment_area', ' Sub Heading Color', '#7FDB54');

$wp_customize->add_setting(
    'app_lhtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We strive to spark a global shift toward sustainability by delivering cutting-edge, eco-friendly solutions that inspire recycling and conscious living.' )
    )
);
$wp_customize->add_control(
    'app_lhtitle',
    array(
        'settings'      => 'app_lhtitle',
        'section'       => 'appointment_area',
        'type'          => 'textarea',
        'label'         => __( 'Heading ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'appsec_titleclr', 'appointment_area', ' Heading Color', '#2F2F2F');

$wp_customize->add_setting(
    'app_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Dedicated to transforming the way energy is consumed,
offering clean and renewable solar solutions ever.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'app_txt',
    array(
        'settings'      => 'app_txt',
        'section'       => 'appointment_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'appsec_txtclr', 'appointment_area', ' Text Color', '#656565');

lzCustomLable($wp_customize, 'appsec_btnset', 'appointment_area', 'Section Button');

$wp_customize->add_setting(
    'right_stickybtn',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'GET A QUOTE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'right_stickybtn',
    array(
        'settings'      => 'right_stickybtn',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'right_stickyform',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '[your Shortcode]' )
    )
);
$wp_customize->add_control(
    'right_stickyform',
    array(
        'settings'      => 'right_stickyform',
        'section'       => 'appointment_area',
        'type'          => 'textarea',
        'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
    )
);


addColorPalatOption($wp_customize, 'appsec_btntxtclr', 'appointment_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'appsec_btnbgclr', 'appointment_area', 'Button BG Color', '#2F2F2F');


lzCustomLable($wp_customize, 'appointmentarea_imgset', 'appointment_area', 'Image Box');

lzCustomLable($wp_customize, 'appointmentarea_1stimgset', 'appointment_area', '1st Image');

$wp_customize->add_setting(
    'app_1image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'app_1image',
        array(
            'section' => 'appointment_area',
            'settings' => 'app_1image',
            'description' => __('Recommended Image Size: 164X164', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'appointmentarea_2ndimgset', 'appointment_area', '2nd Image');
$wp_customize->add_setting(
    'app_2image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'app_2image',
        array(
            'section' => 'appointment_area',
            'settings' => 'app_2image',
            'description' => __('Recommended Image Size: 164X1640', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'appointmentarea_3rdimgset', 'appointment_area', '3nd Image');
$wp_customize->add_setting(
    'app_3image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'app_3image',
        array(
            'section' => 'appointment_area',
            'settings' => 'app_3image',
            'description' => __('Recommended Image Size: 164X1640', 'luzuk-premium')
        )
    )
);


lzCustomLable($wp_customize, 'appointmentarea_4thimgset', 'appointment_area', '4th Image');
$wp_customize->add_setting(
    'app_4image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'app_4image',
        array(
            'section' => 'appointment_area',
            'settings' => 'app_4image',
            'description' => __('Recommended Image Size: 164X1640', 'luzuk-premium')
        )
    )
);

